From 1755d2b7935c27c52101a2566fca4f6dcf4ea82e Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 07 2015 15:07:28 +0000
Subject: [PATCH 85/1001] Move defaults to a common file.


---

diff --git a/hubs/defaults.py b/hubs/defaults.py
new file mode 100644
index 0000000..cae90a0
--- /dev/null
+++ b/hubs/defaults.py
@@ -0,0 +1,32 @@
+import json
+
+import hubs.models
+
+
+def add_user_widgets(session, hub, username, fullname):
+    """ Some defaults for an individual user's hub. """
+    widget = hubs.models.Widget(
+        plugin='sticky', index=0, left=True,
+        _config=json.dumps({
+            'text': 'TODO -- put a fancy graph here..',
+        }))
+    hub.widgets.append(widget)
+    widget = hubs.models.Widget(
+        plugin='avatar', index=0,
+        _config=json.dumps({
+            'username': username,
+        }))
+    hub.widgets.append(widget)
+    widget = hubs.models.Widget(
+        plugin='workflow.pendingacls', index=1,
+        _config=json.dumps({
+            'username': username,
+        }))
+    hub.widgets.append(widget)
+    widget = hubs.models.Widget(
+        plugin='badges', index=2,
+        _config=json.dumps({
+            'username': username,
+        }))
+    hub.widgets.append(widget)
+    return hub
diff --git a/hubs/models.py b/hubs/models.py
index 424f6a0..b129f5d 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -36,6 +36,7 @@ from sqlalchemy.orm import backref
 import fedmsg
 import fedmsg.utils
 
+import hubs.defaults
 import hubs.widgets
 
 
@@ -102,27 +103,7 @@ class Hub(BASE):
     def create_user_hub(cls, session, username, fullname):
         hub = cls(name=username, summary=fullname)
         session.add(hub)
-
-        widget = Widget(plugin='sticky', index=0, left=True,
-                        _config=json.dumps({
-                            'text': 'TODO -- put a fancy graph here..',
-                        }))
-        hub.widgets.append(widget)
-        widget = Widget(plugin='avatar', index=0,
-                        _config=json.dumps({
-                            'username': username,
-                        }))
-        hub.widgets.append(widget)
-        widget = Widget(plugin='workflow.pendingacls', index=1,
-                        _config=json.dumps({
-                            'username': username,
-                        }))
-        hub.widgets.append(widget)
-        widget = Widget(plugin='badges', index=2,
-                        _config=json.dumps({
-                            'username': username,
-                        }))
-        hub.widgets.append(widget)
+        hubs.defaults.add_user_widgets(session, hub, username, fullname)
 
     @property
     def right_width(self):

